//---------------------------------------------------------------------------
#ifndef Moochos_TeenyContext_HelpHandler_H
#define Moochos_TeenyContext_HelpHandler_H
//---------------------------------------------------------------------------
// HelpHandler.h
//
// Version: 1.0.0
// Author: Moochos
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
namespace Moochos { namespace TeenyContext { namespace HelpHandler {
//---------------------------------------------------------------------------
class EHelpHandlerError : public Exception
{
public:
	__fastcall EHelpHandlerError(const AnsiString& AMessage) : Exception(AMessage) {}
};
//---------------------------------------------------------------------------
class THelpHandler : public TObject
{
private:
protected:
public:
	__fastcall THelpHandler();
	virtual __fastcall ~THelpHandler();
	void __fastcall ShowContents(bool AConfirm);
	void __fastcall ShowAbout();
};
//---------------------------------------------------------------------------
}}} // End of Moochos::TeenyContext::HelpHandler
using namespace Moochos::TeenyContext::HelpHandler;
//---------------------------------------------------------------------------
#endif

